/*----- STUFF I HAD TO ADD AFTER THE REVAMP BC I EITHER FORGOT OR DIDN'T REALIZE -----*/
html[reblog-borders="yes"] .post-body > .photo-origin.npf-multimedia:first-child:has(.npf_audio:last-child) + .text-block {
  margin-top:var(--Post-Padding);
  border-top:var(--Reblog-Borders-Size) solid var(--Reblog-Borders);
}

/*----- HEIGHT STUFF FOR JS -----*/
#qlhlbpx, #yxsqkts {
    position:absolute;
    bottom:0;left:0;
    width:0;
    visibility:hidden;  
  }
  
  #qlhlbpx {
    height:calc(var(--Top-Bar-Total-Height) + var(--Main-Content-Padding-Y));
  }
  
  #yxsqkts {
    height:var(--Main-Content-Padding-Y);
  }
  
  /*----- GUIDE PROMPT -----*/
  html:not([current-path="/customize_preview_receiver.html"]) section[guide-prompt-popup],
  section[guide-prompt-popup][o_o="yes"]{
    display:none;
  }
  
  section[guide-prompt-popup]{
    position:fixed;
    top:0;left:0;
    width:100vw;
    height:100vh;
    background:rgba(255,255,255,0.75);
    backdrop-filter:blur(5px);
    display:flex;
    align-items:center;
    justify-content:center;
    z-index:9996;
  }
  
  [peapea]{
    width:min(450px, 75vw);
    padding:20px;
    border-radius:var(--Rounded-Corners);
    background:var(--Post-BG);
    color:var(--Body-Text-Color);
    box-shadow:0 15px 40px 0 rgba(0,0,0,0.07);
    max-height:85vh;
    overflow-y:auto;
    --Scrollbar-Width:0px!important;
    scroll-behavior:smooth;
  }
  
  @-moz-document url-prefix(){
    [peapea]{
      scrollbar-width:none;
    }
  }
  
  [peapea].nuh-uh {
    animation-name:no-no;
    animation-iteration-count:1;
    animation-duration:0.69s;
    animation-timing-function:linear;
  }
  
  @keyframes no-no {
    0% {
      transform:translateX(0);
    }
    
    20% {
      transform:translateX(6.9vw);
    }
    
    40% {
      transform:translateX(-6.9vw)
    }
    
    60% {
      transform:translateX(6.9vw)
    }
    
    80% {
      transform:translateX(-6.9vw)
    }
    
    100% {
      transform:translateX(0)
    }
  }
  
  [peapea] > *:first-child { margin-top:0; }
  [peapea] > *:last-child { margin-bottom:0; }
  
  [pea-title]{
    margin:0;
    color:var(--Heading-Text-Color);
    text-align:center;
  }
  
  [pea-title] img {
    vertical-align:calc(var(--Heading-Font-Size) * -0.25);
    width:calc(var(--Heading-Font-Size) * 1.25);
  }
  
  [peapea] h4 {
    text-align:center;
  }
  
  [pea-img]{
    display:none;
    opacity:0;
    height:0;
    transition:all 0.5s cubic-bezier(.2,.420,.269,1);
  }
  
  [pea-img].sanders-1 {
    padding-bottom:calc((474 / 500) * 100%);
  }
  
  [pea-img].sanders-2 {
    opacity:1;
  }
  
  [pea-img] img {
    display:block;
    margin:auto;
    max-width:100%;
    border-radius:var(--Post-Rounded-Corners);
  }
  
  [pea-guide-link]{
    word-break:break-all;
    transition:transform 0.2s ease-in-out;
  }
  
  [pea-guide-link].woooah {
    transform:scale(1.25,1.25);
  }
  
  /*----- CORNER GUIDE LINK (MILD) -----*/
  html:not([current-path="/customize_preview_receiver.html"]) section[guide-prompt-mild],
  section[guide-prompt-mild][o_o="no"]{
    display:none;
  }
  
  section[guide-prompt-mild]{
    position:fixed;
    bottom:0;right:0;
    margin-bottom:20px;
    margin-right:20px;
    line-height:1;
    z-index:11;
  }
  
  section[guide-prompt-mild] > a {
    display:flex;
    align-items:center;
    gap:9px;
    padding:12px 14px;
    background:#1a1a1f;
    border-radius:var(--Rounded-Corners);
    box-shadow:4px 9px 25px 0 rgba(0,0,0,10%);
    color:#e2e4e9;
  }
  
  section[guide-prompt-mild] > a > i[class]:not([class=""]){
    font-size:calc(var(--Caps-Font-Size) * 1.5);
  }
  
  /*----- MUSIC PLAYER BARS -----*/
  /* yes I went through all the frames in the following gif and recoded it lol */
  /* https://static.tumblr.com/n9vj50j/cxEn20wqg/12.gif */
  
  /* col 1, cell 1 */
  .col-ttkzz:first-child .sq-idxrn:first-child {
    opacity:1;
  }
  
  /*====================*/
  
  /* col 1, cell 2 */
  .col-ttkzz:first-child .sq-idxrn:nth-child(2){
    animation-name:c1u2;
  }
  
  @keyframes c1u2 {
    0% { opacity:1; }
    25% { opacity:1; }
    50% { opacity:1; }
    75% { opacity:0; }
    100% { opacity:1; }
  }
  
  /*====================*/
  
  /* col 2, cell 1 */
  .col-ttkzz:nth-child(2) .sq-idxrn:first-child {
    opacity:1;
  }
  
  /*====================*/
  
  /* col 2, cell 2 */
  .col-ttkzz:nth-child(2) .sq-idxrn:nth-child(2){
    animation-name:c2u2;
  }
  
  @keyframes c2u2 {
    0% { opacity:0; }
    25% { opacity:1; }
    50% { opacity:1; }
    75% { opacity:1; }
    100% { opacity:0; }
  }
  
  /*====================*/
  
  /* col 2, cell 3 */
  .col-ttkzz:nth-child(2) .sq-idxrn:nth-child(3){
    animation-name:c2u3;
  }
  
  @keyframes c2u3 {
    0% { opacity:0; }
    25% { opacity:1; }
    50% { opacity:1; }
    75% { opacity:0; }
    100% { opacity:0; }
  }
  
  /*====================*/
  
  /* col 3, cell 1 */
  .col-ttkzz:nth-child(3) .sq-idxrn:first-child {
    opacity:1;
  }
  
  /*====================*/
  
  /* col 3, cell 2 */
  .col-ttkzz:nth-child(3) .sq-idxrn:nth-child(2){
    opacity:1;
  }
  
  /*====================*/
  
  /* col 3, cell 3 */
  .col-ttkzz:nth-child(3) .sq-idxrn:nth-child(3){
    animation-name:c3u3;
  }
  
  @keyframes c3u3 {
    0% { opacity:0; }
    25% { opacity:1; }
    50% { opacity:0; }
    75% { opacity:1; }
    100% { opacity:1; }
  }
  
  /*====================*/
  
  /* col 3, cell 4 */
  .col-ttkzz:nth-child(3) .sq-idxrn:nth-child(4){
    animation-name:c3u4;
  }
  
  @keyframes c3u4 {
    0% { opacity:0; }
    25% { opacity:1; }
    50% { opacity:0; }
    75% { opacity:0; }
    100% { opacity:1; }
  }
  
  /*====================*/
  
  /* col 4, cell 1 */
  .col-ttkzz:nth-child(4) .sq-idxrn:first-child {
    opacity:1;
  }
  
  /*====================*/
  
  /* col 4, cell 2 */
  .col-ttkzz:nth-child(4) .sq-idxrn:nth-child(2){
    opacity:1;
  }
  
  /*====================*/
  
  /* col 4, cell 3 */
  .col-ttkzz:nth-child(4) .sq-idxrn:nth-child(3){
    animation-name:c4u3;
  }
  
  @keyframes c4u3 {
    0% { opacity:1; }
    25% { opacity:1; }
    50% { opacity:1; }
    75% { opacity:0; }
    100% { opacity:1; }
  }
  
  /*====================*/
  
  /* col 4, cell 4 */
  .col-ttkzz:nth-child(4) .sq-idxrn:nth-child(4){
    animation-name:c4u4;
  }
  
  @keyframes c4u4 {
    0% { opacity:1; }
    25% { opacity:1; }
    50% { opacity:1; }
    75% { opacity:0; }
    100% { opacity:0; }
  }
  
  /*====================*/
  
  /* col 5, cell 1 */
  .col-ttkzz:nth-child(5) .sq-idxrn:first-child {
    opacity:1;
  }
  
  /*====================*/
  
  /* col 5, cell 2 */
  .col-ttkzz:nth-child(5) .sq-idxrn:nth-child(2){
    animation-name:c5u2;
  }
  
  @keyframes c5u2 {
    0% { opacity:1; }
    25% { opacity:1; }
    50% { opacity:0; }
    75% { opacity:1; }
    100% { opacity:0; }
  }